## apt-listchanges 3.3ubuntu3

=== doc/Makefile ===
# vim:set ts=2:noet:
include ../common.mk
bdir=generated

.PHONY: all install clean

all: $(bdir)/manpages.stamp

install: $(bdir)/manpages.stamp
	for man in $(bdir)/apt-listchanges*.1; do \
		test -s "$$f"; \
		lang=`echo $$man | sed -e 's/^.*apt-listchanges\.*// ; s/\.*1//'`; \
		install -d $(DESTDIR)/usr/share/man/$$lang/man1;                \
		install -m 644 $$man $(DESTDIR)/usr/share/man/$$lang/man1/apt-listchanges.1; \
	done
clean:
	rm -rf generated

PO4A := PERL_HASH_SEED=0 PERL_PERTURB_KEYS=0 po4a $(XGETTEXT_COMMON_OPTIONS) --previous

update-po:
	$(PO4A) --force -v po4a.cfg

$(bdir)/po4a.stamp:  apt-listchanges.sgml po/*.po po/*.add po4a.cfg
	$(PO4A)  -v po4a.cfg
	touch "$@"

$(bdir)/manpages.stamp: $(bdir)/po4a.stamp
	for f in apt-listchanges.sgml $(bdir)/apt-listchanges.*.sgml; do \
		test -f "$$f" || continue; \
		g="$(bdir)/`basename $$f .sgml`.1"; \
		echo "Creating $$g from $$f"; \
		LC_ALL=C docbook-to-man "$$f" > "$$g"; \
	done
	touch "$@"

=== debian/changelog ===
apt-listchanges (3.3ubuntu3) yakkety; urgency=medium

  * apt-listchanges/DebianFiles.py: Fix unicode error with python 3.5.
  * apt-listchanges/DebianFiles.py: Fix Ubuntu delta for method rename.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 23 Aug 2016 15:33:52 -0600

apt-listchanges (3.3ubuntu2) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - apt-listchanges/DebianFiles.py: only use apt-get changelog if which is
      changelogs or both, so not for news.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Aug 2016 16:39:42 +0200

apt-listchanges (3.3) unstable; urgency=medium

  * Upload to unstable.
  * postinst.in: don't call ucf when the new configuration file differs in
    whitespaces only (closes: #823514).
  * Update Dutch translation (closes: #823974).
  * Introduce simple ALCLog class for consistent logging.
  * Rename ALSeen.py into ALCSeen.py.
  * More improvements of changelog files parsing:
    + don't try to parse `changelog.gz' file when `changelog.Debian.gz' was
      successfully read, but all its entries were filtered out (e.g. because
      they had already been seen, what can happen while processing binNMU-ed
      packages);
    + also stop reading changelog file if the first non-empty line does
      not contain valid Debian changelog header;
  * Drop support for ancient *.deb files:
    + don't look for changelog files in `/usr/doc' directories;
    + assume all paths in tarballs created by `dpkg-deb --fsys-tarfile'`
      will start with the `./' prefix.
  * Regenerate *.pot and *.po files.
  * Update Polish translation.
  * Update debian/NEWS with a summary of the changes in versions 3.x.

 -- Robert Luberda <robert@debian.org>  Mon, 15 Aug 2016 21:55:31 +0200

apt-listchanges (3.2) experimental; urgency=medium

  * Improve parsing of changelog entries: ignore Emacs stuff and comments
    (closes: #336739), and try to recognize ancient changelog headers, so that
    they are shown in the proper order when `--reverse --show-all' is used.
  * Handle a few signals in apt-listchanges, and update the exit status check
    in the apt config file to break the installation  not only when the status
    is equal to 10, but also when it is greater than 10 (closes: #816054).
  * Move the code responsible for reading apt pipeline to new ALCApt module,
    refactor it, and add support for reading from file descriptor given in
    $APT_HOOK_INFO_FD instead of stdin.  This requires InfoFD option to be
    set in the apt configuration file.
  * Avoid reopening /dev/tty when stdin/stdout is already attached to terminal,
    make ttyconfirm use python's input() method instad, so that it should work
    correctly when 'su -c apt-get' is used for upgrades (closes: #663738).
  * Use named arguments in format strings to fix gettext warnings.
  * Rework debconf handling not to use debconf as a registry (closes: #521403).
    Introduce debian/debconf-helper.py, that gets inlined into postinst
    and config, and use configparser module for reading and writing our
    configuration file.

 -- Robert Luberda <robert@debian.org>  Sat, 30 Apr 2016 15:37:50 +0200

apt-listchanges (3.1) experimental; urgency=medium

  * Drop root privileges when running commands spawned by browser,
    xterm-browser, and xterm-pager frontends (closes: #456454):
    + a non-privileged user is selected by examining the APT_LISTCHANGES_USER,
      SUDO_USER, and USERNAME environment variables;
    + if temporary directory name ends with '/0', then it is modified to end
      with '/<uid-of-new-user>';
    + a few environment variables (HOME, SHELL, LOGNAME, TMPDIR, etc.)
      are updated;
    + os.spawnl() call was replaced with subprocess.Popen() with its env, and
      preexec_fn params set properly (BTW. this also mean that shell is no
      longer involved in running the commands).
    All the above steps are needed, because `su -c' cannot be used, because it
    detaches from the controlling terminal...
    The pager frontend still runs its command as root, so that it can be usable
    in case of any errors in the implementation of the above logic.

  * Update man page for the above change. Apply some other minor fixes to it.
  * Close temporary files explicitly to have a chance to ignore an error when
    the file has been removed already (closes: #772663).
  * Exit with an error when invalid command line option is given.
  * Permit '+' character in e-mail address while converting output to html.

  * Move the code responsible for handling the seen database to new ALSeenDb.py
    module and:
    + handle the fact that ndbm in python3 adds the '.db' extension by itself,
      and update the postinst script to rename the spurious '.db.db' file
      created by version 3.0  (closes: #820732);
    + increase reliability of saving database changes, and store the previous
      version of the database in 'listchanges-old.db', also update the postrm
      script for the new file;
    + add '--dump-seen' option to display the contents of the database to
      stdout, and mention NFS-sharing in README.Debian (closes: #658444).

  * Mention `NEWS and/or changelog' in README.Debian (closes: #743366), and
    update the description of both the algorithm and recovery procedure.
  * Standards-Version: 3.9.8.

 -- Robert Luberda <robert@debian.org>  Sun, 17 Apr 2016 23:29:25 +0200

apt-listchanges (3.0) experimental; urgency=low

  * Switch to python3 (closes: #796061).
    Merge James Lu's changes from his GitHub repository given in the
    bug report. Apart from the basic python3 syntax related updates,
    the change include replacing python-gtk2 and python-glade2 code
    with python3-gi for gtk frontend;
  * Use gettext() instead of lgettext() as a fix (or work-around)
    for an issue with python3 concatenating or not concatenating
    bytes to string depending on the current locale (see #818728).
  * Fix mail fronted to use 8bit encoding rather than base64 one.


=== debian/control ===
Source: apt-listchanges
Section: utils
Priority: standard
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Robert Luberda <robert@debian.org>
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/apt-listchanges.git/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/apt-listchanges.git
Build-Depends: debhelper (>= 9), dh-python
Build-Depends-Indep: docbook-to-man,
                     gettext,
                     po-debconf,
                     po4a (>= 0.47),
                     python3 (>= 3.5)
X-Python3-Version: >= 3.5

Package: apt-listchanges
Architecture: all
Depends: apt (>= 0.5.3),
         debianutils (>= 2.0.2),
         python3-apt (>= 0.7.93),
         ucf (>= 0.28),
         ${misc:Depends},
         ${python3:Depends}
Suggests: default-mta | mail-transport-agent,
          python3-gi,
          www-browser,
          x-terminal-emulator
Description: package change history notification tool
 The tool apt-listchanges can compare a new version of a
 package with the one currently installed and show what has been
 changed, by extracting the relevant entries from the Debian changelog
 and NEWS files.
 .
 It can be run on several .deb archives at a time to get a list of all
 changes that would be caused by installing or upgrading a group of
 packages. When configured as an APT plugin it will do this
 automatically during upgrades.

## apt-listchanges 3.8

=== debian/changelog ===
apt-listchanges (3.8) unstable; urgency=medium

  * Switch documentation format from docbook SGML to docbook XML for proper
    support of UTF-8 characters that appear in translated documents.
  * Fix a few typos in English man page and unfuzzy translations.
  * Add Polish translation of documentation.

 -- Robert Luberda <robert@debian.org>  Thu, 22 Dec 2016 17:41:51 +0100

apt-listchanges (3.7) unstable; urgency=medium

  * Open uncompressed changelogs in binary mode (closes: #847414).

 -- Robert Luberda <robert@debian.org>  Sat, 10 Dec 2016 23:22:12 +0100

apt-listchanges (3.6) unstable; urgency=medium

  * Update Dutch translation (closes: #841119).

 -- Robert Luberda <robert@debian.org>  Sat, 19 Nov 2016 09:14:14 +0100

apt-listchanges (3.5) unstable; urgency=medium

  * Do not try to re-open stdin if it is not needed (closes: #837947).
  * Force "text" frontend and disable confirmations when the frontend
    was set by the environment to "gtk", but the python3-gi module
    cannot be loaded. Thanks to synaptic shouldn't appear to hang any
    more (closes: #836433).
  * Bump dephelper's compat version to 10.

 -- Robert Luberda <robert@debian.org>  Sun, 09 Oct 2016 18:26:07 +0200

apt-listchanges (3.4) unstable; urgency=high

  * Fix the security issue introduced in version 3.2: make config and postinst
    scripts create new directory (with the help of `mktemp') for the helper
    Python script they execute (closes: #837534).
  * When aptitude/synaptic/etc. is used to install new upgrades without being
    restarted after apt-listchanges upgrade, it might happen that the value
    of APT_HOOK_INFO_FD is still 0. Do not fail on such a value, but display
    a warning instead (closes: #835046, LP: #1614191).
  * Print a warning message if an e-mail cannot be sent (closes: #835375).

 -- Robert Luberda <robert@debian.org>  Mon, 12 Sep 2016 22:47:40 +0200

## apt-listchanges 3.9

=== debian/changelog ===
apt-listchanges (3.9) unstable; urgency=medium

  * Update French translations of both man page (closes: #852463),
    and program (closes: #852533). Thanks to Jean-Pierre Giraud.

 -- Robert Luberda <robert@debian.org>  Sun, 05 Feb 2017 09:08:17 +0100

## apt-listchanges 3.10

=== Makefile ===
include common.mk
all::

install:: all
	# modules
	install -d $(DESTDIR)/usr/share/apt-listchanges
	install -m 644 apt-listchanges/*.py $(DESTDIR)/usr/share/apt-listchanges
	install -m 644 apt-listchanges/*.ui $(DESTDIR)/usr/share/apt-listchanges
	# config
	install -d $(DESTDIR)/etc/apt/apt.conf.d
	install -m 644 debian/apt.conf $(DESTDIR)/etc/apt/apt.conf.d/20listchanges
	# exe
	install -d $(DESTDIR)/usr/bin
	install -m 755 apt-listchanges.py $(DESTDIR)/usr/bin/apt-listchanges

clean::
	rm -rf __pycache__  */__pycache__

test::
	# This will check for syntax errors
	python3 -mcompileall apt-listchanges.py apt-listchanges debian

all install clean update-po::
	$(MAKE) -C po $@
	$(MAKE) -C doc $@

=== debian/changelog ===
apt-listchanges (3.10) unstable; urgency=medium

  * Add German translation of man page (closes: #858169).
    Thanks to Chris Leic.

 -- Robert Luberda <robert@debian.org>  Mon, 10 Apr 2017 23:14:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: apt-listchanges
 Section: utils
 Priority: standard
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Robert Luberda <robert@debian.org>
+Maintainer: Robert Luberda <robert@debian.org>
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/apt-listchanges.git/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/apt-listchanges.git
-Build-Depends: debhelper (>= 9), dh-python
-Build-Depends-Indep: docbook-to-man,
+Build-Depends: debhelper (>= 10), dh-python
+Build-Depends-Indep: docbook-xml,
+                     docbook-xsl,
                      gettext,
+                     libxml2-utils,
                      po-debconf,
                      po4a (>= 0.47),
-                     python3 (>= 3.5)
+                     python3 (>= 3.5),
+                     xsltproc
 X-Python3-Version: >= 3.5
 
 Package: apt-listchanges

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3

debian/%: debian/%.in debian/debconf-helper.py debian/rules
	sed -e '/#DEBCONF_HELPER_PY#/ { ' -e 'r debian/debconf-helper.py' -ed -e' }' < $< > $@
	echo >> $@
	echo 'exit 0' >> $@
	echo '# Make lintian happy' >> $@
	sed -ne "s/^.*'\(apt.*\)' *: *_handle.*$$/db_get \1/p" < debian/debconf-helper.py >> $@
	chmod 444 $@

override_dh_auto_clean:
	rm -f debian/postinst debian/config
	dh_auto_clean

override_dh_auto_install: debian/postinst debian/config
	$(MAKE) install DESTDIR=$(shell pwd)/debian/apt-listchanges

## apt-listchanges 3.14

=== debian/changelog ===
apt-listchanges (3.14) unstable; urgency=low

  * Add  `--no-network' option that can be used to disable calls to
    `apt-get changelog' (closes: #866583) and document it in the man page.
  * Rework handling of the LESS variable: instead of overriding it, detect
    if it contains harmful settings, and try to disable them by appending
    `-+E' or `-+F' options (closes: #867144).
  * Improve handling of configuration file by debconf-helper.py:
    + refactor the script and prepare for further changes;
    + increase priority of the `apt-listchanges/which' question to medium;
    + set the debconf's `seen' flag for items that already exist in the
      configuration file;
  * Add debconf support for the following configuration options:
    `--no-network', `--reverse' (closes: #707668), `--headers',
    and `--email-format'. Re-order the debconf questions.
  * Depend on python3-debconf (closes: #867126) and check if the debconf
    module can be successfully imported before running debconf-helper.py
    in debian/config.
  * Remove the `-k 60' option from po4a.cfg to disable generation of
    outdated Spanish and Italian man pages (closes: #842996).
  * Fix a typo in man page and unfuzzy translations.
  * Update README.Debian and the man page to make it clear that in the
    default installations only the NEWS entries are displayed during
    upgrades (LP: #1662550).
  * Update *.pot and .*.po files.
  * Update Polish translations.
  * Add debian/NEWS entry for the recent changes.

 -- Robert Luberda <robert@debian.org>  Sun, 09 Jul 2017 10:11:29 +0200

apt-listchanges (3.13) unstable; urgency=low

  * Fix changelog parser to mark files as being in the Debian changelog
    format *before* checking if the latest version has been seen already.
  * Refactor apt-listchanges.py to remove duplicated code.
  * Rewrite main loop of program in order to limit a number of calls to
    `apt-get changelog':
    1. First group packages by the source package and next process all binary
       packages from the same source package at once.
    2. Sort the  packages in each group by their binary versions descending.
    3. Exclude those of them whose versions were already seen or are lower
       (except for the binnmu suffix) than the maximal version, i.e. the
       version of the first package in the group.
    4. Process the remaining packages until valid changelog or news entries
       are found, and call `apt-get changelog' on the first package if and
       only if no such changelog entries are found, and apt-listchanges is
       not configured to display the news entries only.
  * Override the LESS environment variable to make sure it does not contain
    certain flags like -F that might cause less program to quit before even
    user is able to see the files generated by the program.
  * Fix an issue with showing changelog entries with unrecognised urgencies
    (see #866358): map such an urgency to a non-zero value and use proper
    `is None' check for testing the mapped value.
  * Fix an exception, introduced in 2.87,  occurring when the `--since' option
    is used with the invalid number of `.deb' files. Clarify the error message
    shown in such a case.
  * In the `--verbose' mode when apt-listchanges is configured to display
    `news' only append the informational notes to the news entries instead
    of creating changelog entries.
  * Don't permit `--since' and `--show-all' to be used together. Also make
    sure that passing one of them in the command line overrides any eventual
    config file setting related to the other one.
  * Fix a spelling typo in `retrieve' (closes: #866644).

 -- Robert Luberda <robert@debian.org>  Sat, 01 Jul 2017 13:30:25 +0200

apt-listchanges (3.12) unstable; urgency=low

  * Upload to unstable.
  * Fix a bug in the `skipping reading other changelog files when all the
    entries were filtered out' functionality introduced in version 3.3:
    if the currently parsed file is not in the Debian changelog format,
    than return an empty urgency from the changelog parser so that remaining
    files are not omitted.
  * Call python3 from /usr/bin in postinst and config scripts, as otherwise
    the scripts might fail to load the debconf.py module (closes: #855069).
  * Makefile: add support for DEB_BUILD_OPTIONS=nodoc.
  * Standards-Version: 4.0.0.

 -- Robert Luberda <robert@debian.org>  Thu, 22 Jun 2017 22:37:01 +0200

apt-listchanges (3.11~exp1) experimental; urgency=low

  * Apply patch from Ubuntu to use the `apt-get changelog' command if the
    extracted package does not provide changelog file.
  * Enhance the above patch:
    + call `apt-get' with the `-qq' option, so that it won't put additional
      lines at the top of changelog that prevented apt-listchanges from
      recognizing it as valid Debian changelog;
    + fix invalid python2 syntax in exception handler;
    + set timeout (120 seconds) for the apt-get command, just in case;
    + capture stderr of apt-get and display it as part of apt-listchanges'
      error message.

 -- Robert Luberda <robert@debian.org>  Sat, 29 Apr 2017 00:24:48 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: standard
 Maintainer: Robert Luberda <robert@debian.org>
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/apt-listchanges.git/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/apt-listchanges.git
 Build-Depends: debhelper (>= 10), dh-python
@@ -21,6 +21,7 @@
 Depends: apt (>= 0.5.3),
          debianutils (>= 2.0.2),
          python3-apt (>= 0.7.93),
+         python3-debconf,
          ucf (>= 0.28),
          ${misc:Depends},
          ${python3:Depends}

## apt-listchanges 3.16

=== debian/changelog ===
apt-listchanges (3.16) unstable; urgency=medium

  * Updated debconf translations:
    + French (Alban Vidal, closes: #887128);
    + German (Helge Kreutzmann, closes: #886530).

  * Switch to debhelper v11.
  * Bump Standards-Version to 4.1.3.

 -- Robert Luberda <robert@debian.org>  Sun, 14 Jan 2018 17:05:51 +0100

apt-listchanges (3.15) unstable; urgency=medium

  * Handle `Too many levels of symbolic links' (ELOOP) error while searching
    for possible changelog file names (LP: #174314).

  * Updated debconf translations:
    + Dutch (Frans Spiesschaert, closes: #874278);
    + French (Alban Vidal, closes: #872200);
    + German (Helge Kreutzmann, closes: #877432);
    + Portuguese (Rui Branco, closes: #870084);
    + Russian (Lev Lamberov, closes: #883878).
  * Updated program translations:
    + Dutch (Frans Spiesschaert, closes: #874288);
    + German (Helge Kreutzmann, closes: #878320);
    + Japanese (Hideki Yamane, closes: #880042).
  * Updated man page translations:
    + French (Jean-Pierre Giraud, closes: #874023).

  * Cleanup English text of debconf templates, based on Justin B Rye's input
    in https://lists.debian.org/debian-l10n-english/2017/07/msg00005.html.
    Update debconf translations and unfuzzy them when possible.
  * debian/control:
    + add Rules-Requires-Root: no;
    + Standards-Version: 4.1.2.

 -- Robert Luberda <robert@debian.org>  Fri, 22 Dec 2017 22:07:29 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: utils
 Priority: standard
 Maintainer: Robert Luberda <robert@debian.org>
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/apt-listchanges.git/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/apt-listchanges.git
-Build-Depends: debhelper (>= 10), dh-python
+Build-Depends: debhelper (>= 11), dh-python
 Build-Depends-Indep: docbook-xml,
                      docbook-xsl,
                      gettext,
@@ -14,6 +14,7 @@
                      po4a (>= 0.47),
                      python3 (>= 3.5),
                      xsltproc
+Rules-Requires-Root: no
 X-Python3-Version: >= 3.5
 
 Package: apt-listchanges

## apt-listchanges 3.17

=== debian/changelog ===
apt-listchanges (3.17) unstable; urgency=medium

  * Updated program translations:
    + Russian (Lev Lamberov, closes: #892059).
  * Updated debconf translations:
    + Dutch (Frans Spiesschaert, closes: #895054);
    + Portuguese (Traduz, closes: #898189).
  * Fix a typo in man page (closes: #904974).
  * debian/control:
    + add dependency on 'sensible-utils', as suggested by lintian; and remove
      version dependency on ancient version of essential 'debianutils';
    + update Vcs-* fields for salsa migration;
    + Standards-Version: 4.2.0.

 -- Robert Luberda <robert@debian.org>  Tue, 07 Aug 2018 23:27:22 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: utils
 Priority: standard
 Maintainer: Robert Luberda <robert@debian.org>
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/apt-listchanges.git/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/apt-listchanges.git
+Standards-Version: 4.2.0
+Vcs-Git: https://salsa.debian.org/debian/apt-listchanges.git
+Vcs-Browser: https://salsa.debian.org/debian/apt-listchanges/
 Build-Depends: debhelper (>= 11), dh-python
 Build-Depends-Indep: docbook-xml,
                      docbook-xsl,
@@ -20,9 +20,9 @@
 Package: apt-listchanges
 Architecture: all
 Depends: apt (>= 0.5.3),
-         debianutils (>= 2.0.2),
          python3-apt (>= 0.7.93),
          python3-debconf,
+         sensible-utils,
          ucf (>= 0.28),
          ${misc:Depends},
          ${python3:Depends}

## apt-listchanges 3.17ubuntu1

=== debian/changelog ===
apt-listchanges (3.17ubuntu1) disco; urgency=medium

  * Apply patch from kraai to remove extra [ from email_re (closes: #911868)

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 28 Nov 2018 11:35:11 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: apt-listchanges
 Section: utils
 Priority: standard
-Maintainer: Robert Luberda <robert@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Robert Luberda <robert@debian.org>
 Standards-Version: 4.2.0
 Vcs-Git: https://salsa.debian.org/debian/apt-listchanges.git
 Vcs-Browser: https://salsa.debian.org/debian/apt-listchanges/

## apt-listchanges 3.18

=== debian/changelog ===
apt-listchanges (3.18) unstable; urgency=medium

  [ Matt Kraai ]
  * Remove extra [ from email_re (closes: #911868).

  [ Robert Luberda ]
  * Remove custom compression settings from source/options (lintian).
  * Standards-Version: 4.2.1.

 -- Robert Luberda <robert@debian.org>  Thu, 29 Nov 2018 11:37:28 +0100

## apt-listchanges 3.19

=== debian/changelog ===
apt-listchanges (3.19) unstable; urgency=medium

  * Updated debconf translations:
    + Danish (Joe Dalton; closes: #923063);
    + Russian (Lev Lamberov, closes: #920599).

 -- Robert Luberda <robert@debian.org>  Sun, 17 Mar 2019 23:48:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: apt-listchanges
 Section: utils
 Priority: standard
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Robert Luberda <robert@debian.org>
-Standards-Version: 4.2.0
+Maintainer: Robert Luberda <robert@debian.org>
+Standards-Version: 4.2.1
 Vcs-Git: https://salsa.debian.org/debian/apt-listchanges.git
 Vcs-Browser: https://salsa.debian.org/debian/apt-listchanges/
 Build-Depends: debhelper (>= 11), dh-python

## apt-listchanges 3.19+nmu1

=== po/Makefile ===
# Makefile for program source directory in GNU NLS utilities package.
# Copyright (C) 1995-1997, 2000, 2001 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
#
# This file file be copied and used freely without restrictions.  It can
# be used in projects which are not available under the GNU Public License
# but which still want to provide support for the GNU gettext functionality.
# Please note that the actual code is *not* freely available.

include ../common.mk
prefix = /usr
exec_prefix = ${prefix}
datadir = $(prefix)/share
localedir = $(datadir)/locale
gettextsrcdir = $(prefix)/share/gettext/po
subdir = po
srcdir = .

INSTALL = /usr/bin/install -c

MSGFMT = /usr/bin/msgfmt --statistics
XGETTEXT = /usr/bin/xgettext
MSGMERGE = msgmerge
MSGFMT = msgfmt

POFILES =  $(wildcard *.po)
MOFILES =  $(patsubst %.po,%.mo,$(POFILES))

SRCFILES = ../apt-listchanges.py $(wildcard ../apt-listchanges/*.py) \
	../apt-listchanges/apt-listchanges.ui

all: $(PACKAGE).pot $(MOFILES)

.SUFFIXES: .po .mo

.po.mo:
	$(MSGFMT) -o $@ $<

$(PACKAGE).pot: $(SRCFILES)
	if test -f $(XGETTEXT); then \
	    $(XGETTEXT) $(XGETTEXT_COMMON_OPTIONS) \
	                -k_ $(SRCFILES) -o$@; \
	else \
	    echo "Warning: $@ is not updated"; \
	    touch $@; \
	fi

install: all
	for file in $(MOFILES); do \
	    lang=`echo $$file | sed 's/\.mo//'`; \
	    install -d $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/; \
	    install -m 0644 $$file $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(PACKAGE).mo; \
        done

clean:
	rm -f core core.* *.pox $(PACKAGE).po *.new.po
	rm -fr *.o *.mo

distclean: clean
	rm -f $(PACKAGE).pot

update-po: Makefile
	rm -f $(PACKAGE).pot
	$(MAKE) $(PACKAGE).pot
	if test "$(PACKAGE)" = "gettext"; then PATH=`pwd`/../src:$$PATH; fi; \
        cd $(srcdir); \
        catalogs='$(MOFILES)'; \
        for cat in $$catalogs; do \
            cat=`basename $$cat`; \
            lang=`echo $$cat | sed 's/\.mo$$//'`; \
            echo "$$lang:"; \
            if $(MSGMERGE) --previous  $$lang.po $(PACKAGE).pot -o $$lang.new.po; then \
                mv -f $$lang.new.po $$lang.po; \
                $(MSGFMT) --statistics $$lang.po; rm -f messages.mo; \
            else \
                echo "msgmerge for $$cat failed!"; \
                rm -f $$lang.new.po; \
            fi; \
        done

=== debian/changelog ===
apt-listchanges (3.19+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 10:18:47 +0800

## apt-listchanges 3.20

=== debian/changelog ===
apt-listchanges (3.20) unstable; urgency=low

  * Merge changes from Mickaël Schoentgen to improve code quality:
    + fix DeprecationWarning: invalid escape sequence;
    + fix several ResourceWarning: unclosed file;
    + fix code smells: equaliy comparisons with None, unused imports,
      trailing semi-colons.
  * Add Portuguese translation of man page (closes: #927834). Thanks
    to Américo Monteiro.
  * Build with debhelper v12.
  * debian/control:
    + remove X-Python3-Version field (lintian);
    + Standards-Version: 4.4.0.

 -- Robert Luberda <robert@debian.org>  Sat, 10 Aug 2019 09:14:46 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: utils
 Priority: standard
 Maintainer: Robert Luberda <robert@debian.org>
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/debian/apt-listchanges.git
 Vcs-Browser: https://salsa.debian.org/debian/apt-listchanges/
-Build-Depends: debhelper (>= 11), dh-python
+Build-Depends: debhelper (>= 12), dh-python
 Build-Depends-Indep: docbook-xml,
                      docbook-xsl,
                      gettext,
@@ -15,7 +15,6 @@
                      python3 (>= 3.5),
                      xsltproc
 Rules-Requires-Root: no
-X-Python3-Version: >= 3.5
 
 Package: apt-listchanges
 Architecture: all

## apt-listchanges 3.22

=== debian/changelog ===
apt-listchanges (3.22) unstable; urgency=medium

  * While converting changelogs to html, e.g. for browser frontend, do not
    treat enclosing '<', '>' or trailing punctuation characters (e.g. '.'),
    as part of URLs, to properly parse links like <https://www.debian.org/>.
  * Updated program translations:
    + German (Helge Kreutzmann, closes: #944201);
    + Dutch (Frans Spiesschaert, closes: #945355).
  * Replace debian/compat file with build dependency on debhelper-compat.

 -- Robert Luberda <robert@debian.org>  Sun, 22 Dec 2019 13:26:57 +0100

apt-listchanges (3.21) unstable; urgency=medium

  * Fold identical binary NMUs entries together and display them
    as separate "Binary NMU of: <list of packages>" sections at
    the bottom of the changelogs list (closes: #841837, #934187).
  * Reword the continue/abort installation message shown by GTK frontend
    to make it less misleading (closes: #924313)
  * Before deleting a temporary file, try to detect if spawned program
    has actually started reading it.  This fixes showing changes in a
    programs like firefox that fork themselves and exit immediately.
  * Update German translation of man page (closes: #941346). Thanks
    to Chris Leick.
  * Fix two spelling typos in the English man page noticed by Chris,
    and unfuzzy translations.
  * Standards-Version: 4.4.1 (no changes).

 -- Robert Luberda <robert@debian.org>  Sun, 03 Nov 2019 20:09:22 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: utils
 Priority: standard
 Maintainer: Robert Luberda <robert@debian.org>
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/debian/apt-listchanges.git
 Vcs-Browser: https://salsa.debian.org/debian/apt-listchanges/
-Build-Depends: debhelper (>= 12), dh-python
+Build-Depends: debhelper-compat (= 12), dh-python
 Build-Depends-Indep: docbook-xml,
                      docbook-xsl,
                      gettext,

## apt-listchanges 3.22+nmu2

=== debian/changelog ===
apt-listchanges (3.22+nmu2) unstable; urgency=medium

  * Non-maintainer upload.
  * Don't convert None to int (Closes: #974983)

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 18 Nov 2020 08:21:40 +0100

apt-listchanges (3.22+nmu1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Paul Wise ]
  * Update debhelper compat level to 13, no changes needed.
  * Update standards version to 4.5.1, no changes needed.
  * Fix an indefinite article, some typos and capitalisation
  * Update FSF address in GNU General Public License grants
  * Add an option to show only the latest N entries (Closes: #962745)
  * Add support for a config dir that overrides the main config file
    (Closes: #781425)
  * Look up dirs and files in the apt config (Closes: #922186)
  * Add log and syslog frontends and title disable option (Closes: #962313)

  [ Niklas Sombert ]
  * Fix broken HTML in German translation (Closes: #964924)

 -- Paul Wise <pabs@debian.org>  Fri, 05 Jun 2020 11:32:39 +0800

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: utils
 Priority: standard
 Maintainer: Robert Luberda <robert@debian.org>
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/debian/apt-listchanges.git
 Vcs-Browser: https://salsa.debian.org/debian/apt-listchanges/
-Build-Depends: debhelper-compat (= 12), dh-python
+Build-Depends: debhelper-compat (= 13),
+               dh-python
 Build-Depends-Indep: docbook-xml,
                      docbook-xsl,
                      gettext,

## apt-listchanges 3.22+nmu3

=== debian/changelog ===
apt-listchanges (3.22+nmu3) unstable; urgency=medium

  * Non-maintainer upload.
  * Import syslog module before using it (Closes: #977858)
  * Add config files to bug reports in case they differ to debconf.

 -- Paul Wise <pabs@debian.org>  Mon, 18 Jan 2021 14:31:47 +0800

## apt-listchanges 3.23

=== debian/changelog ===
apt-listchanges (3.23) unstable; urgency=medium

  * Orphan package, set maintainer to Debian QA Group (see: #981890).
  * Update Spanish translation of debconf templates (closes: #958874).
  * Don't MIME-encode e-mail subject line if it consists of printable
    ascii characters only (closes: #946700).
  * Fix a typo in man page (lintian).
  * Update *.pot and *.po files.

 -- Robert Luberda <robert@debian.org>  Thu, 04 Feb 2021 21:25:55 +0100

## apt-listchanges 3.24

=== Makefile ===
--- 
+++ 
@@ -18,8 +18,10 @@
 
 test::
 	# This will check for syntax errors
-	python3 -mcompileall apt-listchanges.py apt-listchanges debian
+	python3 -mcompileall apt-listchanges.py apt-listchanges/*.py debian/*.py
 
 all install clean update-po::
 	$(MAKE) -C po $@
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	$(MAKE) -C doc $@
+endif

=== po/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Makefile for program source directory in GNU NLS utilities package.
 # Copyright (C) 1995-1997, 2000, 2001 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
 #
-# This file file be copied and used freely without restrictions.  It can
+# This file be copied and used freely without restrictions.  It can
 # be used in projects which are not available under the GNU Public License
 # but which still want to provide support for the GNU gettext functionality.
 # Please note that the actual code is *not* freely available.

=== debian/changelog ===
apt-listchanges (3.24) unstable; urgency=medium

  * QA upload
  * Update Portuguese man page translation (closes: #982824). Thanks Américo
    Monteiro.
  * Update German man page translation (closes: #982637). Thanks Helge
    Kreutzmann.

 -- Helge Kreutzmann <debian@helgefjell.de>  Sun, 28 Mar 2021 13:06:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: apt-listchanges
 Section: utils
 Priority: standard
-Maintainer: Robert Luberda <robert@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/debian/apt-listchanges.git
 Vcs-Browser: https://salsa.debian.org/debian/apt-listchanges/
@@ -13,8 +13,9 @@
                      libxml2-utils,
                      po-debconf,
                      po4a (>= 0.47),
-                     python3 (>= 3.5),
+                     python3 (>= 3.7),
                      xsltproc
+X-Python3-Version: >= 3.7
 Rules-Requires-Root: no
 
 Package: apt-listchanges

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	echo >> $@
 	echo 'exit 0' >> $@
 	echo '# Make lintian happy' >> $@
-	sed -ne "s/^.*'\(apt.*\)' *: *_handle.*$$/db_get \1/p" < debian/debconf-helper.py >> $@
+	sed -ne "s/^.*'\(apt.*\)' *: \[.*_handle.*$$/db_get \1/p" < debian/debconf-helper.py >> $@
 	chmod 444 $@
 
 override_dh_auto_clean:

## apt-listchanges 3.27

=== doc/Makefile ===
--- 
+++ 
@@ -18,18 +18,41 @@
 
 PO4A := PERL_HASH_SEED=0 PERL_PERTURB_KEYS=0 po4a $(XGETTEXT_COMMON_OPTIONS) --previous
 
+# params: input output
+define xml2man
+	set -- xmllint --valid --noout --noent --nonet "$(1)"; \
+	echo "$$@"; \
+	"$$@"; \
+	lang="`echo "$(1)" | sed -e 's/^.*apt-listchanges//; s/\.xml$$// ;s/^\.//'`"; \
+	[ "$$lang" ] && langparam="--stringparam l10n.gentext.default.language $$lang" || langparam=""; \
+	set -- xsltproc --nonet --xinclude \
+						$$langparam \
+						--stringparam man.authors.section.enabled 0 \
+						--stringparam man.output.lang.in.name.enabled 1 \
+						--stringparam man.charmap.enabled 0 \
+						--stringparam man.hyphenate 0 \
+						--stringparam man.justify 0 \
+						--output "$(bdir)/" \
+					/usr/share/xml/docbook/stylesheet/docbook-xsl/manpages/docbook.xsl \
+					"$(1)"; \
+	echo "$$@"; \
+	"$$@"; \
+	echo
+endef
+
+
 update-po:
 	$(PO4A) --force -v po4a.cfg
 
-$(bdir)/po4a.stamp:  apt-listchanges.sgml po/*.po po/*.add po4a.cfg
+$(bdir)/po4a.stamp:  apt-listchanges.xml po/*.po po/*.add po4a.cfg
 	$(PO4A)  -v po4a.cfg
 	touch "$@"
 
 $(bdir)/manpages.stamp: $(bdir)/po4a.stamp
-	for f in apt-listchanges.sgml $(bdir)/apt-listchanges.*.sgml; do \
+	@ set -e; \
+	for f in apt-listchanges.xml $(bdir)/apt-listchanges.*.xml; do \
 		test -f "$$f" || continue; \
-		g="$(bdir)/`basename $$f .sgml`.1"; \
-		echo "Creating $$g from $$f"; \
-		LC_ALL=C docbook-to-man "$$f" > "$$g"; \
+		g="$(bdir)/`basename $$f .xml`.1"; \
+		$(call xml2man,$$f,$$g) ;  \
 	done
 	touch "$@"

=== debian/changelog ===
apt-listchanges (3.27) unstable; urgency=medium

  * QA upload.
  * debian/po/pt_BR.po: Update. Thanks to Paulo Henrique de Lima Santana.
    (Closes: #1023983)

 -- Marcos Talau <talau@debian.org>  Mon, 11 Sep 2023 05:57:26 +0530

apt-listchanges (3.26) unstable; urgency=medium

  * QA upload.
  * Remove constraints unnecessary since buster
  * Revert "Change maintainer to myself" (keep orphaned)

  [ Akbarkhon Variskhanov ]
  * doc: Fix "and than" to "and then"

 -- Bastian Germann <bage@debian.org>  Fri, 01 Sep 2023 14:22:56 +0200

apt-listchanges (3.25) experimental; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch.

  [ Brian Thompson ]
  * Change maintainer to myself (closes: #981890).
  * Fix uninitialized variable.
  * Add debconf as build-dep.
  * Automated po update.

 -- Brian Thompson <brian@hashvault.io>  Mon, 19 Jul 2021 16:57:11 -0500

=== debian/control ===
--- 
+++ 
@@ -5,26 +5,27 @@
 Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/debian/apt-listchanges.git
 Vcs-Browser: https://salsa.debian.org/debian/apt-listchanges/
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: debconf,
+               debhelper-compat (= 13),
                dh-python
 Build-Depends-Indep: docbook-xml,
                      docbook-xsl,
                      gettext,
                      libxml2-utils,
                      po-debconf,
-                     po4a (>= 0.47),
-                     python3 (>= 3.7),
+                     po4a,
+                     python3,
                      xsltproc
 X-Python3-Version: >= 3.7
 Rules-Requires-Root: no
 
 Package: apt-listchanges
 Architecture: all
-Depends: apt (>= 0.5.3),
-         python3-apt (>= 0.7.93),
+Depends: apt,
+         python3-apt,
          python3-debconf,
          sensible-utils,
-         ucf (>= 0.28),
+         ucf,
          ${misc:Depends},
          ${python3:Depends}
 Suggests: default-mta | mail-transport-agent,

## apt-listchanges 4.6

=== po/Makefile ===
--- 
+++ 
@@ -1,10 +1,5 @@
-# Makefile for program source directory in GNU NLS utilities package.
-# Copyright (C) 1995-1997, 2000, 2001 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
-#
-# This file be copied and used freely without restrictions.  It can
-# be used in projects which are not available under the GNU Public License
-# but which still want to provide support for the GNU gettext functionality.
-# Please note that the actual code is *not* freely available.
+# Copyright (C) 1995-1997, 2000, 2001 Ulrich Drepper <drepper@gnu.ai.mit.edu>
+# Copyright (C) 2024 THE PACKAGE'S COPYRIGHT HOLDER
 
 include ../common.mk
 prefix = /usr
@@ -25,8 +20,8 @@
 POFILES =  $(wildcard *.po)
 MOFILES =  $(patsubst %.po,%.mo,$(POFILES))
 
-SRCFILES = ../apt-listchanges.py $(wildcard ../apt-listchanges/*.py) \
-	../apt-listchanges/apt-listchanges.ui
+SRCFILES = $(wildcard ../apt_listchanges/*.py) \
+	../apt_listchanges/apt-listchanges.ui
 
 all: $(PACKAGE).pot $(MOFILES)

=== debian/changelog ===
apt-listchanges (4.6) unstable; urgency=medium

  * Man page translation updates: French courtesy of Jean-Pierre Giraud
    and the Debian French translation team, German courtesy of Helge
    Kreutzmann, Italian courtesy of Ceppo, Portuguese courtesy of Américo
    Monteiro, Romanian courtesy of Remus-Gabriel Chelu.
    (Closes: #1080256, #1080473, #1081630)
  * Debconf translation updates: Czech courtesy of Miroslav Kure,
    Italian courtesy of Ceppo. simplified Chinese courtesy of Xiyue Deng.
    (Closes: #1080353)
  * Program translation updates: Basque courtesy of Dooteo, Catalan
    courtesy of Carles Pina i Estany, Italian courtesy of Ceppo.
    (Closes: #1081467)
  * Minor man page typo and language cleanup courtesy of Ceppo.

 -- Jonathan Kamens <jik@kamens.us>  Sat, 21 Sep 2024 18:07:27 -0400

apt-listchanges (4.5) experimental; urgency=medium

  * If the user has the `confirm` feature enabled and aborts the upgrade,
    the changes they were shown should be shown to them again when they
    rerun the upgrade. This restores the previous behavior, which was
    unintentionally changed in version 4.3.
  * Special-case handling of changelogs for `linux-image-*` packages to
    prevent us from displaying changelog entries we shouldn't, by trusting
    the version number sequencing in those changelogs.
    (Closes: #1055780)
  * Display binary NMU changelog entries. (Closes: #1063677)
  * Document the systemd timer and service in the man page, and reference
    the man page from the systemd unit files so it is displayed when
    someone does `systemctl help apt-listchanges.timer` or `systemctl help
    apt-listchanges.service`.
  * Update the man page to make it clear that `--which=news` is only the
    default when running as an APT plugin; otherwise the default is
    `--which=both`. (Closes: #1052514)
  * Updated program translations: Brazilian Portuguese courtesy of Carlos
    Henrique Lima Melara, Catalan courtesy of Carles Pina i Estany, Czech
    courtesy of Miroslav Kure, Dutch courtesy of Frans Spiesschaert,
    French courtesy of Jean-Pierre Giraud.
    (Closes: #1055127, #1055180, #1055239, #1056772)
  * Updated man page translations: Dutch courtesy of Frans Spiesschaert,
    French courtesy of Jean-Pierre Giraud. (Closes: #1055182, #1055240)
  * Updated Swedish debconf translation courtesy of Martin Bagge.
    (Closes: #1059225)

 -- Jonathan Kamens <jik@kamens.us>  Sat, 31 Aug 2024 20:22:51 -0400

apt-listchanges (4.4) experimental; urgency=medium

  * Performance improvement: don't parse and extract files from each deb
    twice when network changelogs are enabled and we're displaying both
    changelogs and news.
  * As per the discussion in bug #1054108, enable version-number-based
    parsing logic for local changelog files, not just for network
    changelogs. To be clear: this applies only to changelog files, not
    NEWS files.
  * Update /usr/share/doc/apt-listchanges/what_to_display.html to reflect
    the current algorithm.

 -- Jonathan Kamens <jik@kamens.us>  Fri, 20 Oct 2023 16:00:50 -0400

apt-listchanges (4.3) experimental; urgency=medium

  * Clean up database files and shapshots on purge. (Closes: #1053925)
  * Capture list of debs properly in snapshots in APT mode.
  * Save displayed entries to database and snapshot even when user cancels
    update at the confirm prompt.
  * Treat packages with the same package name but different architectures
    as distinct. In most cases this won't make any difference, but it should
    still be done this way so the edge cases are handled correctly.

 -- Jonathan Kamens <jik@kamens.us>  Wed, 18 Oct 2023 22:19:50 -0400

apt-listchanges (4.2) experimental; urgency=medium

  * Fix a bug in 4.1 which was causing the seen database to be corrupted
    and causing repeat changelog entries to be displayed. (Closes: #1053812)
  * Add new snapshot functionality for experimental releases. See
    README.Debian for details.
  * Fix for: a NEWS entry which matches an entry in the changelog file
    should not cause processing of the changelog to stop.
  * The database structure has been refactored to facilitate strong typing
    hints and and also to make the database more robust and the code which
    uses it clearer and more straightforward. When this release is
    installed the old database is discarded. If you would like to
    prepopulate the new database to speed up future apt-listchanges runs,
    run `systemctl start apt-listchanges.service` as root.
  * Adjust the logic for when we save changes out to the seen database.
    Specifically, we need to attempt to save changes even when we haven't
    displayed any changelog or news entries to the user, because it's
    possible that we seeded the database while determining that nothing
    should be displayed, and those seeds should be saved. At the same
    time, however, don't rewrite the database when we haven't actually
    made any changes.
  * Revert setting the LESSSECURE environment variable, since it messes up
    the terminal state of the user suspends and resumes apt-listchanges
    running inside apt. (Closes: #1053863)
  * Do some minor refactoring of the database populating script to make it
    easier to unit-test and debug.
  * Other minor non-functional fixes.
  * Update Chinese (zh_CN) program translation. Thanks to Xiyue Deng.

 -- Jonathan Kamens <jik@kamens.us>  Fri, 13 Oct 2023 01:39:00 -0400

apt-listchanges (4.1) experimental; urgency=medium

  * Updated Portuguese translation of man page. Thanks to Américo
    Monteiro. (Closes: #1053432)
  * After releasing 4.0 we discovered that it fixes an additional bug.
    (Closes: #988090)
  * Updated Brazilian Portuguese translation of the program. Thanks to
    Paulo Henrique de Lima Santana. (Closes: #1023988)
  * Set the LESSSECURE environment variable to reduce potential security
    exposure. Thanks to Christian Göttsche for the suggestion.
    (Closes: #1003112)


## apt-listchanges 4.7

=== debian/changelog ===
apt-listchanges (4.7) unstable; urgency=medium

  * Updated Japanese debconf translation courtesy of Victory.
  * Updated traditional Chinese program translation courtesy of Kan-Ru
    Chen.
  * When doing the initial population of the seen database post-install,
    allow the load average to go up to the number of CPUs on the machine
    before we pause, rather than using a limit of 1. There won't be a
    significant user-visible impact on performance until the load average
    exceeds the CPU count, and increasing our limit allows us to finish
    much faster. (Closes: #1082833)
  * Format-string fix for simplified Chinese translation, courtesy of
    Boyuan Yang <byang@debian.org> (fixes program crash when running in
    simplified Chinese locale). (Closes: #1083001)

 -- Jonathan Kamens <jik@kamens.us>  Sun, 29 Sep 2024 16:31:38 -0400
